 <?php

require_once("conn.php");

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    try {
        $fullname = $_POST["fullname"];
        $email = $_POST["email"];
        $gender = $_POST["gender"];
        // $dob = $_POST["dob"];
        // $position = $_POST["position"];
        $continent = $_POST["continent"];
        $country = $_POST["country"];
        $region = isset($_POST["region"]) ? $_POST["region"] : ""; // Initialize region with an empty string
        $province = isset($_POST["province"]) ? $_POST["province"] : "";
        $area = $_POST["area"];
        $parish = $_POST["parish"];
        // $regionalCoordinator = $_POST["regionalCoordinator"];
        // $provincialCoordinator = $_POST["provincialCoordinator"];
        $comments = $_POST["comments"];
        $department = $_POST["department"];
        $whatsapp = $_POST["whatsapp"];

        // Check if a record with the same email already exists
        $checkSql = "SELECT COUNT(*) FROM intl_teachers WHERE email = :email AND fullname = :fullname" ;
        $checkStmt = $conn->prepare($checkSql);
        $checkStmt->bindParam(":email", $email, PDO::PARAM_STR);
        $checkStmt->bindParam(":fullname", $fullname, PDO::PARAM_STR);
        $checkStmt->execute();
        $count = $checkStmt->fetchColumn();

        if ($count == 0) {
            // Check if the selected country is "Nigeria" before saving the region
            if ($country !== "Nigeria") {
                // If the country is not Nigeria, set the region to an empty string
                $region = "No Region";
            }

            // SQL query with parameter placeholders for insertion
            $sql = "INSERT INTO intl_teachers (fullname, email, gender, continent, country, region, province, area, parish, comments,department, whatsapp)
                    VALUES (:fullname, :email, :gender, :continent, :country, :region, :province, :area, :parish, :comments, :department, :whatsapp)";

            // Prepare the SQL statement for insertion
            $stmt = $conn->prepare($sql);

            // Bind parameters for insertion
            $stmt->bindParam(":fullname", $fullname, PDO::PARAM_STR);
            $stmt->bindParam(":email", $email, PDO::PARAM_STR);
            $stmt->bindParam(":gender", $gender, PDO::PARAM_STR);
            $stmt->bindParam(":continent", $continent, PDO::PARAM_STR);
            $stmt->bindParam(":country", $country, PDO::PARAM_STR);
            $stmt->bindParam(":region", $region, PDO::PARAM_STR);
            $stmt->bindParam(":province", $province, PDO::PARAM_STR);
            $stmt->bindParam(":area", $area, PDO::PARAM_STR);
            $stmt->bindParam(":parish", $parish, PDO::PARAM_STR);
            $stmt->bindParam(":comments", $comments, PDO::PARAM_STR);
            $stmt->bindParam(":department", $department, PDO::PARAM_STR);
            $stmt->bindParam(":whatsapp", $whatsapp, PDO::PARAM_STR);

            // Execute the prepared statement for insertion
            $stmt->execute();

            echo '<div class="alert alert-success alert-dismissible" role="alert" id="myAlert">
            Registration Successful! and your response has been recorded!
            <svg type="button" class="btn-close" id="closeAlert" aria-label="Close" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20"><path fill="currentColor" d="M2.93 17.07A10 10 0 1 1 17.07 2.93A10 10 0 0 1 2.93 17.07zM11.4 10l2.83-2.83l-1.41-1.41L10 8.59L7.17 5.76L5.76 7.17L8.59 10l-2.83 2.83l1.41 1.41L10 11.41l2.83 2.83l1.41-1.41L11.41 10z"/></svg>
            </div>';
        } else {
            echo '<div class="alert alert-danger alert-dismissible" role="alert" id="myAlert">
                A teacher with the same record already exists. Please use a different email address.
                <svg type="button" class="btn-close" id="closeAlert" aria-label="Close" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20"><path fill="currentColor" d="M2.93 17.07A10 10 0 1 1 17.07 2.93A10 10 0 0 1 2.93 17.07zM11.4 10l2.83-2.83l-1.41-1.41L10 8.59L7.17 5.76L5.76 7.17L8.59 10l-2.83 2.83l1.41 1.41L10 11.41l2.83 2.83l1.41-1.41L11.41 10z"/></svg>
            </div>';
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
}
?> 




<!DOCTYPE html>
<html>
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>
    <title>RCCG DTCE | INTERNATIONAL TEACHERS CONGRESS REGISTRATION FORM</title>

    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="refresh" content="600">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="developer" content="Tech Smart Envoy">
    <meta name="description" content="RCCG DTCE | INTERNATIONAL JUNIOR CHURCH TEACHERS BIO - DATA FORM">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.5.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Add Bootstrap Datepicker CSS -->
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/bootstrap-datepicker@1.9.0/dist/css/bootstrap-datepicker.min.css">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- icheck bootstrap -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">

    <!-- password check -->
    <link rel="stylesheet" href="plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="cookies/cookieconsent.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">

    <!--sweetalert2-->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">

    <link rel="stylesheet" href="dist/css/custom.css">
    <link rel="stylesheet" href="dist/css/login_style.css">
    <link rel="stylesheet" href="dist/css/animate.min.css">
    <link href="assets/css/vendor/dataTables.bootstrap5.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/vendor/responsive.bootstrap5.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/vendor/fixedColumns.bootstrap5.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/vendor/fixedHeader.bootstrap5.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/vendor/buttons.bootstrap5.min.css" rel="stylesheet" type="text/css" />
    <link href="assets/css/vendor/select.bootstrap5.min.css" rel="stylesheet" type="text/css" />

    <!-- TELEPHONE COUNTRY PICKER -->
    <link href="plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <style>
        .iti__flag {
            background-image: url("plugins/intl-tel-input-17.0.0/build/img/flags.png");
        }

        @media (-webkit-min-device-pixel-ratio: 2),
        (min-resolution: 192dpi) {
            .iti__flag {
                background-image: url("plugins/intl-tel-input-17.0.0/build/img/flags%402x.png");
            }
        }

        /* CSS for the cover image container */
        .cover-image-container {
            background-image: url('congress_img/onward.png');
            /* Replace with your image URL */
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
            width: 500x;
            /* Adjust the height as needed */
            text-align: center;
            color: #fff;
            /* Text color on top of the image */
            padding: 20px;
        }

        /* Additional styles for the text on top of the image */
        .cover-text {
            font-size: 24px;
            font-weight: bold;
        }

        .card {
            background-color: #fff;
            /* Background color of the card */
            border-radius: 10px;
            /* Rounded corners for the card */
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
            /* Box shadow for the card */
            padding: 20px;
            margin: 20px;
        }
    </style>

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- TELEPHONE COUNTRY PICKER -->
    <script src="plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>

    <!--sweetalert2-->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

    <!-- password check -->
    <script src="plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>

    <style>
        body {
            background: url("congress_img/Layer16.png");
            -webkit-background-size: cover;
            -moz-background-size: cover;
            -o-background-size: cover;
            background-size: cover;
        }

        .table-container {
            max-width: 100%;
            /* Adjust the width as needed */
            margin: 0 auto;
            /* Center the table */
        }
    </style>
</head>

<body class="authentication-bg position-relative hold-transition">

    <div class="cover-image-container">
        <!-- <center><img src="dist/img/dtce.png" width="200px"></center><br> -->
        <!-- <div class="cover-text h4 font-weight-bold mb-1 access-blue-color text-center">RCCG
            DTCE INTERNATIONAL JUNIOR TEACHERS  <?php echo Date('Y') ?>  CONGRESS REGISTRATION FORM</div>
            <span class="h6 font-weight-bold mb-1 access-blue-color text-center">FILL
            THE FORM BELOW APPROPRIATELY</span>
    </div> -->
    <br>
    </div>
    <div class="py-6">
        <div class="card mx-auto" style="max-width: 800px;">
            <!-- <div class="watermark" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; background-image: url('dist/img/dtce.png'); background-repeat: no-repeat; background-size: contain; background-position: center; opacity: 0.2;"></div> -->
            <h4 class="card-header text-center  mb-4" style="font-family:Montserrat;font-weight: bolder;">INT'L TEACHERS
                <?php echo Date('Y') ?>  CONGRESS REGISTRATION FORM</h4>
            <div class="card-body">

                <form action="index.php" method="POST">
                    <div class="py-6">

                        <div class="form-group mb-2 ">
                            <label for="area" class="d-block text-md  text-muted">Enter
                                Full Name(Surname First)<span>*</span></label>
                            <input type="text" class="form-control" id="names" name="fullname"
                                placeholder="Enter your Full Name (Surname First)" autocomplete="off" required>
                        </div>

                        <div class="form-group mb-2 ">
                            <label for="email" class="d-block text-md  text-muted">Your
                                Email Address<span>*</span></label>
                            <input type="email" class="form-control" id="email" name="email"
                                placeholder="Enter your Email" autocomplete="off" required>
                        </div>
                        <div class="form-group mb-2 ">
                            <label class="d-block text-md  text-muted">Gender<span>*</span></label>
                            <select class="form-control" id="position" name="gender" autocomplete="off" required>
                                <option value disabled selected>Select your
                                    Gender</option>
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                            </select>
                        </div>
                        <!-- <div class="form-group mb-2 ">
                            <label for="dob" class="d-block text-md  text-muted">Date of
                                Birth<span>*</span></label>
                            <input type="text" class="form-control" id="datepicker"
                                placeholder="Select your Date of Birth" name="dob" autocomplete="off" required>
                        </div> -->
                        <!-- <div class="form-group mb-2 ">
                            <label for="position" class="d-block text-md  text-muted">Your
                                Position<span>*</span></label>
                            <select class="form-control" id="position" name="position" autocomplete="off" required>
                                <option value disabled selected>Select your
                                    position</option>
                                <option value="Country Coordinator">Country
                                    Coordinator</option>
                                <option value="Regional Coordinator">Regional
                                    Coordinator</option>
                                <option value="Provincial Coordinator">Provincial
                                    Coordinator</option>
                                <option value="Asst. Provincial Coordinator">Asst.
                                    Provincial Coordinator</option>
                                <option value="Regional Executive">Regional
                                    Executive</option>
                                <option value="Provincial Executive">Provincial
                                    Executive</option>
                                <option value="Zonal Leader">Zonal Leader</option>
                                <option value="Area Leader">Area Leader</option>
                                <option value="Parish Leader">Parish Leader</option>
                                <option value="Teacher">Teacher</option>

                            </select>
                        </div> -->

                        <div class="mb-2">
                            <label for="area" class="d-block text-md  text-muted">Select
                                your Continent<span>*</span></label>
                            <select name="continent" class="form-control" type="text" id="continent" required
                                onchange="populateCountries()">
                                <option value selected disabled>Select
                                    Continent</option>
                                <option value="Africa">Africa</option>
                                <option value="Antarctica">Antarctica</option>
                                <option value="Asia">Asia</option>
                                <option value="Australia">Australia</option>
                                <option value="Europe">Europe</option>
                                <option value="South America">South America</option>
                                <option value="North America">North America</option>
                            </select>
                        </div>

                        <div class="mb-2">
                            <label for="area" class="d-block text-md  text-muted">Select
                                your Country<span>*</span></label>
                            <select name="country" class="form-control" type="text" id="country" required
                                onchange="handleCountryChange()">
                                <option value selected disabled>Select
                                    Country</option>
                            </select>
                        </div>

                        <div class="mb-2" id="regionContainer" style="display: none;">
                            <label for="region" class="d-block text-md  text-muted">Select your
                                Region<span>*</span></label>
                            <select name="region" class="form-control" type="text" id="region" required>
                                <option value="" disabled selected>Select Your Region</option>
                                <!-- Updated this line -->
                            </select>
                        </div>


                        <script>
                            // Get a reference to the "Region" dropdown
                            const regionDropdown = document.getElementById("region");

                            // Function to generate "Region" options
                            function generateRegionOptions() {
                                // Clear existing options
                                regionDropdown.innerHTML = '';

                                // Create a list of regions
                                const regions = [
                                    "1", "2", "3", "4", "5",
                                    "6", "7", "8", "9", "10",
                                    "11", "12", "13", "14", "15",
                                    "16", "17", "18", "19", "20",
                                    "21", "22", "23", "24", "25",
                                    "26", "27", "28", "29", "30",
                                    "31", "32", "33", "34", "35",
                                    "36", "37", "38", "39", "40",
                                    "41", "42", "43", "44", "45",
                                    "46", "47", "48", "49", "50",
                                    "51", "Redemption City", "National Headquarters",
                                    "Continental 1 ", "Continental 2 ",
                                    "Continental 3 "
                                ];

                                // Create and append option elements
                                regions.forEach((region) => {
                                    const option = document.createElement("option");
                                    option.value = region;
                                    option.textContent = region;
                                    regionDropdown.appendChild(option);
                                });
                            }

                            // Call the function to generate "Region" options
                            generateRegionOptions();
                        </script>

                        <div class="mb-2" id="provinceContainer" style="display: none;">
                            <label for="area" class="d-block text-md  text-muted">Select
                                your Province<span>*</span></label>
                            <select name="province" id="province" type="text" class="form-control" required>
                                <option value selected disabled>Select
                                    Province</option>
                                <!-- Your province options here -->
                            </select>
                        </div>

                        <div class="mb-2" id="provinceContainernext" style="display: none;">
                            <label for="area" class="d-block text-md  text-muted">Enter
                                your Province<span>*</span></label>
                            <input class="form-control" name="province" type="text" id="provinceinput"
                                placeholder="Enter your Province" required>
                        </div>

                        <div class="form-group mb-2 ">
                            <label for="area" class="d-block text-md  text-muted">Enter
                                Your Area e.g. Word of Life Assembly<span>*</span></label>
                            <input type="text" class="form-control" id="area" name="area"
                                placeholder="Your Area e.g. Word of Life Assembly" autocomplete="off" required>
                        </div>
                        <div class="form-group mb-2 ">
                            <label for="parish" class="d-block text-md  text-muted">Enter
                                Your Parish e.g. Victory Chapel<span>*</span></label>
                            <input type="text" class="form-control" id="parish" name="parish"
                                placeholder=" Your Parish e.g. Victory Chapel" autocomplete="off" required>
                        </div>
                        <!-- <div class="form-group mb-2 ">
                            <label for="regionalCoordinator" class="d-block text-md  text-muted">Regional
                                Coordinator's Name<span>*</span></label>
                            <input type="text" class="form-control" id="regionalCoordinator"
                                placeholder="Regional Coordinator's Name" name="regionalCoordinator" autocomplete="off"
                                required>
                        </div>
                        <div class="form-group mb-2 ">
                            <label for="provincialCoordinator" class="d-block text-md  text-muted">Provincial
                                Coordinator's Name<span>*</span></label>
                            <input type="text" class="form-control" id="provincialCoordinator"
                                name="provincialCoordinator" autocomplete="off"
                                placeholder="Provincial Coordinator's Name" required>
                        </div> -->
                        <div class="form-group mb-2 ">
                            <label for="comments" class="d-block text-md  text-muted">Your
                                What are your Expectations?
                            </label>
                            <textarea class="form-control" id="comments" name="comments"
                                placeholder="What are your Expectations?" rows="4" autocomplete="off"></textarea>
                        </div>
                        <div class="form-group mb-2 ">
                            <label for="department" class="d-block text-md  text-muted">Select your
                                Department
                                <select class="form-control" name="department" required="">
                                    <option value="">Select the Department to Work during the Congress</option>
                                    <option value="Technical">Technical</option>
                                    <option value="ICT">ICT</option>
                                    <option value="Accommodation">Accommodation</option>
                                    <option value="Welfare">Welfare</option>
                                    <option value="Special Unit">Special Unit</option>
                                    <option value="Press">Press</option>
                                    <option value="General Welfare">General Welfare</option>
                                    <option value="Educational Resources/Bible Study">Educational Resources/Bible Study
                                    </option>
                                    <option value="Teaching (Toddlers Age 1-3)">Teaching (Toddlers Age 1-3)</option>
                                    <option value="Teaching (Children Age 4-5)">Teaching (Children Age 4-5)</option>
                                    <option value="Teaching (Children Age 6-8)">Teaching ( Children Age 6-8)</option>
                                    <option value="Teaching (Children Age 9-12)">Teaching ( Lower Teens Age 9-12)
                                    </option>
                                    <option value="Teaching (Children Age 13-19)">Teaching ( Upper Teens Age 13-19)
                                    </option>

                                    <option value="Project and Maintenance">Project and Maintenance </option>
                                    <option value="Media and Publicity">Media and Publicity</option>
                                    <option value="Security Unit">Security Unit</option>
                                    <option value="Research and Development">Research and Development</option>
                                    <option value="Programs/Anchors">Programs/Anchors</option>
                                    <option value="Protocol">Protocol</option>
                                    <option value="Games, Arts and Crafts">Games, Arts and Crafts</option>
                                    <option value="Ushering">Ushering</option>
                                    <option value="Sanitation">Sanitation</option>
                                    <option value="Choir">Choir</option>
                                    <option value="Entrepreneurship & Skill Acquisition">Entrepreneurship & Skill
                                        Acquisition</option>
                                    <option value="Registration">Registration</option>
                                    <option value="Sports">Sports</option>
                                    <option value="Prayer">Prayer</option>
                                    <option value="Counselling">Counselling</option>
                                    <option value="Special Unit">Special Unit</option>
                                    <option value="Evangelism">Evangelism</option>
                                    <option value="Medical">Medical</option>
                                    <option value="Store">Store</option>
                                    <option value="Kitchen">Kitchen</option>
                                    <option value="Transportation">Transportation</option>
                                    <option value="Safety and Environmental Protection Unit (SEPU)">Safety and
                                        Environmental Protection Unit (SEPU)</option>
                                    <option value="Safety">Safety</option>
                                    <option value="Special Duties">Special Duties</option>

                                </select>
                        </div>
                        <div class="form-group mb-2 ">
                            <label for="whatsapp" class="d-block text-md  text-muted">Your
                                WhatsApp Number (Select your Country Flag)<span>*</span></label>
                            <input type="text" id="custTelephone" class="form-control" id="whatsapp" name="whatsapp"
                                class="intl-tel-input form-control" type="tel" placeholder="WhatsApp Number"
                                autocomplete="off" required>
                        </div>
                        <div class="mb-2 form-check">
                            <input class="form-check-input" type="checkbox" id="tandcCheckBox" required>
                            <label class="form-check-label" for="tandcCheckBox">By submitting this form,
                                you agree to DTCE Junior Church Terms and
                                Conditions and Privacy Policy.</label>
                        </div>
                        <div class="d-grid">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        $(document).ready(function () {
            $('#datepicker').datepicker({
                format: 'yyyy-mm-dd', // Adjust the format as needed
                autoclose: true
            });
        });
    </script>

    <script>

        const populateCountries = () => {
            var continentSelect = document.getElementById('continent');
            var countrySelect = document.getElementById('country');

            // Clear existing options in the country select element
            countrySelect.innerHTML = '<option value="" selected disabled>Select Country</option>';

            // Define country options for each continent
            var countries = {
                Africa: [
                    "Algeria", "Angola", "Benin", "Botswana", "Burkina Faso", "Burundi", "Cabo Verde",
                    "Cameroon", "Central African Republic", "Chad", "Comoros", "Congo", "Djibouti",
                    "Egypt", "Equatorial Guinea", "Eritrea", "Eswatini", "Ethiopia", "Gabon", "Gambia",
                    "Ghana", "Guinea", "Guinea-Bissau", "Ivory Coast", "Kenya", "Lesotho", "Liberia",
                    "Libya", "Madagascar", "Malawi", "Mali", "Mauritania", "Mauritius", "Morocco",
                    "Mozambique", "Namibia", "Niger", "Nigeria", "Rwanda", "Sao Tome and Principe",
                    "Senegal", "Seychelles", "Sierra Leone", "Somalia", "South Africa", "South Sudan",
                    "Sudan", "Tanzania", "Togo", "Tunisia", "Uganda", "Zambia", "Zimbabwe"
                ],
                Antarctica: [
                    "Antarctica"
                ],
                Asia: [
                    "Afghanistan", "Armenia", "Azerbaijan", "Bahrain", "Bangladesh", "Bhutan", "Brunei",
                    "Cambodia", "China", "Cyprus", "Georgia", "India", "Indonesia", "Iran", "Iraq",
                    "Israel", "Japan", "Jordan", "Kazakhstan", "Kuwait", "Kyrgyzstan", "Laos", "Lebanon",
                    "Malaysia", "Maldives", "Mongolia", "Myanmar (Burma)", "Nepal", "North Korea",
                    "Oman", "Pakistan", "Palestine", "Philippines", "Qatar", "Saudi Arabia",
                    "Singapore", "South Korea", "Sri Lanka", "Syria", "Taiwan", "Tajikistan", "Thailand",
                    "Timor-Leste", "Turkey", "Turkmenistan", "United Arab Emirates", "Uzbekistan",
                    "Vietnam", "Yemen"
                ],
                Australia: [
                    "Australia", "Fiji", "Kiribati", "Marshall Islands", "Micronesia", "Nauru",
                    "New Zealand", "Palau", "Papua New Guinea", "Samoa", "Solomon Islands", "Tonga",
                    "Tuvalu", "Vanuatu"
                ],
                Europe: [
                    "Albania", "Andorra", "Austria", "Belarus", "Belgium", "Bosnia and Herzegovina",
                    "Bulgaria", "Croatia", "Czech Republic", "Denmark", "Estonia", "Finland", "France",
                    "Germany", "Greece", "Hungary", "Iceland", "Ireland", "Italy", "Kosovo", "Latvia",
                    "Liechtenstein", "Lithuania", "Luxembourg", "Malta", "Moldova", "Monaco", "Montenegro",
                    "Netherlands", "North Macedonia", "Norway", "Poland", "Portugal", "Romania",
                    "Russia", "San Marino", "Serbia", "Slovakia", "Slovenia", "Spain", "Sweden",
                    "Switzerland", "Ukraine", "United Kingdom", "Vatican City"
                ],
                "South America": [
                    "Argentina", "Bolivia", "Brazil", "Chile", "Colombia", "Ecuador", "Guyana", "Paraguay",
                    "Peru", "Suriname", "Uruguay", "Venezuela"
                ],
                "North America": [
                    "Antigua and Barbuda", "Bahamas", "Barbados", "Belize", "Canada", "Costa Rica",
                    "Cuba", "Dominica", "Dominican Republic", "El Salvador", "Grenada", "Guatemala",
                    "Haiti", "Honduras", "Jamaica", "Mexico", "Nicaragua", "Panama", "Saint Kitts and Nevis",
                    "Saint Lucia", "Saint Vincent and the Grenadines", "Trinidad and Tobago", "United States"
                ]
            };


            // Get the selected continent value
            var selectedContinent = continentSelect.value;

            // Populate the country select element with the countries for the selected continent
            if (selectedContinent !== "") {
                var continentCountries = countries[selectedContinent];
                for (var i = 0; i < continentCountries.length; i++) {
                    var option = document.createElement('option');
                    option.text = continentCountries[i];
                    option.value = continentCountries[i];
                    countrySelect.appendChild(option);
                }
            }
        }



        const handleCountryChange = () => {
            var countrySelect = document.getElementById('country');
            var regionContainer = document.getElementById('regionContainer');
            var provinceContainer = document.getElementById('provinceContainer');
            var provinceContainernext = document.getElementById('provinceContainernext');

            var regionSelect = document.getElementById('region');
            var provinceSelect = document.getElementById('province');
            var provinceinput = document.getElementById('provinceinput');

            var selectedCountry = countrySelect.value;

            // Show/hide region and province containers based on the selected country
            if (selectedCountry === "Nigeria") {
                regionContainer.style.display = "block";
                provinceContainer.style.display = "block";
                provinceContainernext.style.display = "none";
                regionSelect.required = true;
                provinceSelect.required = true;
                provinceinput.required = false;
            } else {

                regionContainer.style.display = "none";
                provinceContainernext.style.display = "block";
                regionSelect.required = false;
                provinceinput.required = true;
                provinceSelect.required = false;
            }
        }

    </script>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var form = document.getElementById("loginForm");
            var formFields = form.querySelectorAll("input, select");

            // Loop through form fields and populate with stored values
            for (var i = 0; i < formFields.length; i++) {
                var field = formFields[i];
                var fieldName = field.getAttribute("name");
                var storedValue = localStorage.getItem(fieldName);

                if (storedValue !== null) {
                    field.value = storedValue;
                }
            }
        });

        // Store form values in localStorage when the form is submitted
        document.getElementById("loginForm").addEventListener("submit", function (event) {
            var formFields = this.querySelectorAll("input, select");

            // Loop through form fields and store values in localStorage
            for (var i = 0; i < formFields.length; i++) {
                var field = formFields[i];
                var fieldName = field.getAttribute("name");
                var fieldValue = field.value;

                localStorage.setItem(fieldName, fieldValue);
            }
        });

        // Clear form values from localStorage when the form is reset
        document.getElementById("loginForm").addEventListener("reset", function (event) {
            localStorage.clear();
        });
    </script>
    <script>
        function togglePassword() {
            var passwordField = document.getElementById("password");
            var confirmPasswordField = document.getElementById("password_confirm");
            var showPasswordCheckbox = document.getElementById("showPasswordCheckbox");

            showPasswordCheckbox.addEventListener("change", function () {
                if (showPasswordCheckbox.checked) {
                    passwordField.type = "text";
                    confirmPasswordField.type = "text";
                } else {
                    passwordField.type = "password";
                    confirmPasswordField.type = "password";
                }
            });
        }

        togglePassword(); // Call the function to set up the event listener
    </script>
    <script>
        // Load provinces from CSV
        fetch('newprov1.csv')
            .then(response => response.text())
            .then(csvContent => {
                parseCSV(csvContent);
            })
            .catch(err => {
                console.error(err);
            });

        const parseCSV = (csvContent) => {
            const lines = csvContent.split('\n');
            const data = [];

            for (let i = 1; i < lines.length; i++) { // Start from 1 to skip header
                const columns = lines[i].split(',');
                data.push(columns);
            }

            var regionSelect = document.getElementById('region');
            var provinceSelect = document.getElementById('province');
            var provinceinput = document.getElementById('provinceinput');

            regionSelect.addEventListener('change', function () {
                const selectedRegion = regionSelect.value;

                // Clear existing options in the province select element
                provinceSelect.innerHTML = '<option value="" selected disabled>Select Province</option>';

                const filteredProvinces = data.filter(entry => entry[1] === selectedRegion);

                // Add provinces as options
                filteredProvinces.forEach(entry => {
                    const option = document.createElement('option');
                    option.value = entry[0];
                    option.textContent = entry[0];
                    provinceSelect.appendChild(option);
                });
            });

            provinceSelect.addEventListener('change', function () {
                const selectedCountry = document.getElementById('country').value;

                if (selectedCountry === 'Nigeria') {
                    const selectedProvince = provinceSelect.value;
                    const provinceInput = document.getElementById('provinceinput');
                    provinceInput.value = selectedProvince;
                }
            });
        };


    </script>

    <script src="./password/dist/zxcvbn.js"></script>
    <script>
        const passwordInput = document.getElementById('password');
        const strengthMeter = document.getElementById('password-strength-meter');

        passwordInput.addEventListener('input', () => {
            const password = passwordInput.value;
            const result = zxcvbn(password);

            // Update the strength meter's width and color based on zxcvbn's score
            const score = result.score;
            const meterWidth = (score + 1) * 25; // Convert score to percentage (0-100)
            strengthMeter.style.width = `${meterWidth}%`;

            // Change the color based on the score
            if (score === 0) {
                strengthMeter.style.backgroundColor = 'red';
            } else if (score === 1) {
                strengthMeter.style.backgroundColor = 'orange';
            } else if (score === 2) {
                strengthMeter.style.backgroundColor = 'yellow';
            } else if (score === 3) {
                strengthMeter.style.backgroundColor = 'lightgreen';
            } else {
                strengthMeter.style.backgroundColor = 'green';
            }
        });
    </script>
    <script>
        let currentStep = 1;
        const totalSteps = 3;

        function nextStep(step) {
            if (step < totalSteps) {
                document.getElementById(`step${step}`).style.display = 'none';
                document.getElementById(`step${step + 1}`).style.display = 'block';
                currentStep = step + 1;
                updateProgress();
            }
        }

        function prevStep(step) {
            if (step > 1) {
                document.getElementById(`step${step}`).style.display = 'none';
                document.getElementById(`step${step - 1}`).style.display = 'block';
                currentStep = step - 1;
                updateProgress();
            }
        }

        function updateProgress() {
            document.getElementById("stepNumber").textContent = currentStep;
        }
    </script>

    <script>

        $(function () {
            var custTelephoneInput = document.querySelector("#custTelephone");
            window.intlTelInput(custTelephoneInput, {
                initialCountry: "NG",
                nationalMode: false,
                utilsScript: "plugins/intl-tel-input-17.0.0/build/js/utils.js" // just for formatting/placeholders etc
            });

        });
    </script>
    <script>  function preview() {
            thumb.src = URL.createObjectURL(event.target.files[0]);
        }</script>

    <script type="text/javascript">

        $(document).ready(function () {
            $.validator.setDefaults({
                submitHandler: function () {
                    return true;
                }
            });
            $('#customerSignupForm').validate({
                rules: {
                    'custNIDA': {
                        required: true,
                    },
                    'name': {
                        required: true,
                    },
                    'gender': {
                        required: true,
                    },
                    'position': {
                        required: true,
                    },

                    'othernames': {
                        required: true,
                    },
                    'custPassword': {
                        required: true,
                        minlength: 8
                    },
                    'custRetypePassword': {
                        equalTo: "#custPassword"
                    },
                    'tandcCheckBox': {
                        required: true
                    },
                },
                messages: {
                    'custNIDA': {
                        required: "Please provide Teacher's Email",
                    },
                    'province': {
                        required: "Please provide Teacher's Province  ",
                    },
                    'gender': {
                        required: "Please Select Teacher's Gender  ",
                    },
                    'position': {
                        required: "Please select Teacher's Position  ",
                    },
                    'name': {
                        required: "Please provide Teacher's Surname ",
                    },
                    'othernames': {
                        required: "Please provide Teacher's Othernames ",
                    },
                    'region': {
                        required: "Please select Teacher's Region/Continent",
                    },
                    'tandcCheckBox': {
                        required: "Accepting our terms and conditions is required",
                    },
                },
                errorElement: 'span',
                errorPlacement: function (error, element) {
                    error.addClass('invalid-feedback d-block');
                    element.closest('.form-group').append(error);
                },
                highlight: function (element, errorClass, validClass) {
                    $(element).addClass('is-invalid');
                },
                unhighlight: function (element, errorClass, validClass) {
                    $(element).removeClass('is-invalid');
                },
                submitHandler: function (form) { // <- pass 'form' argument in
                    $(".submitBtn").attr("disabled", true);
                    $('.submitBtn').addClass("submitting");
                    form.submit(); // <- use 'form' argument here.
                }
            });


            $(".pr-password").passwordRequirements();
            $(".pr-password").passwordRequirements({
                numCharacters: 8,
                useLowercase: true,
                useUppercase: true,
                useNumbers: true,
                useSpecial: true
            });

        });
    </script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Add Bootstrap Datepicker JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-datepicker@1.9.0/dist/js/bootstrap-datepicker.min.js"></script>

    </div>





    <!-- /.content-wrapper -->
    <footer class="fixed-bottom text-sm main-footer w-100 m-0 pb-3 bg-gradient-blue border-top-0">
        <div class="text-xs" id="copyright">
            &copy;
            <script>
                document.getElementById('copyright').appendChild(document.createTextNode(new Date().getFullYear()))
            </script> Directorate of Teens and Children Education.
            <div class="float-right d-none d-sm-inline-block">
                <b>INTERNATIONAL JUNIOR CHURCH TEACHERS BIO-DATA FORM</b>
            </div>
        </div>
    </footer>

    <script src="dist/js/adminlte.min.js"></script>

    <!-- jquery-validation -->
    <script src="plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="plugins/jquery-validation/additional-methods.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.5.0/dist/js/bootstrap.min.js"></script>

    <!-- Our Cookie Consent Law -->
    <script defer src="scripts/cookies/cookieconsent.js"></script>
    <script defer src="scripts/cookies/cookieconsent-init.js"></script>
    <script>
        // Get the close button and the alert element
        const closeBtn = document.getElementById("closeAlert");
        const alert = document.getElementById("myAlert");

        // Add a click event listener to the close button
        closeBtn.addEventListener("click", function () {
            // Hide the alert
            alert.style.display = "none";
        });
    </script>
    <!-- <script>
document.addEventListener("contextmenu", function (e) {
  e.preventDefault(); // Prevent the context menu from appearing
});

// You can also prevent dragging the image
document.addEventListener("dragstart", function (e) {
  e.preventDefault();
});
</script> -->

</body>

</html>