const memeImage = document.getElementById("meme-image");
const userImage = document.getElementById("user-image");
const userName = document.getElementById("user-name");
const memeCanvas = document.getElementById("meme-canvas");
const downloadButton = document.getElementById("downloadButton");
const shareButton = document.getElementById("shareButton");
const shareableLink = document.getElementById("shareableLink");

const canvasContext = memeCanvas.getContext("2d");

// Set canvas size to match the meme image
memeCanvas.width = memeImage.width;
memeCanvas.height = memeImage.height;

// Event listeners
downloadButton.addEventListener("click", downloadMeme);
shareButton.addEventListener("click", generateShareableLink);

// Function to draw the meme
function drawMeme() {
    canvasContext.drawImage(memeImage, 0, 0, memeCanvas.width, memeCanvas.height);
    canvasContext.drawImage(userImage, memeCanvas.width / 2 - 50, memeCanvas.height / 2 - 50, 100, 100);

    canvasContext.font = "bold 24px Arial";
    canvasContext.fillStyle = "#fff";
    canvasContext.fillText(userName.value, memeCanvas.width / 2 - 50, memeCanvas.height / 2 + 60);

    memeCanvas.style.display = "block";
}

// Function to download the generated meme image
function downloadMeme() {
    drawMeme();
    const downloadLink = document.createElement("a");
    downloadLink.href = memeCanvas.toDataURL("image/jpeg");
    downloadLink.download = "meme.jpg";
    downloadLink.click();
}

// Function to generate a shareable link (in reality, you'd handle this on your server)
function generateShareableLink() {
    drawMeme();
    // Assuming you have a server that handles sharing functionality
    // You'd send the canvas data to the server, which generates a unique link
    // For simplicity, we'll use a placeholder link here
    const uniqueLink = "https://yourserver.com/share/meme123";
    shareableLink.value = uniqueLink;
}

function replacePlaceholder() {
    var placeholder = document.getElementById("user-name-placeholder");
    var userNameInput = document.getElementById("user-name-input");

    placeholder.style.display = "none"; // Hide the placeholder
    userNameInput.style.display = "block"; // Show the input field
    userNameInput.focus(); // Focus on the input field
}

function loadImage(event) {
    const userImage = document.getElementById('user-image');
    const file = event.target.files[0];

    if (file) {
        const reader = new FileReader();

        reader.onload = function (e) {
            userImage.src = e.target.result;
        };

        reader.readAsDataURL(file);
    }
}
